## plasma-widget-makestatus 0.0.1

=== CMakeLists.txt ===
project(makestatus)

add_subdirectory(applet)
add_subdirectory(dataengine)
add_subdirectory(makeinvoker)

=== applet/CMakeLists.txt ===
project(plasma-applet-makestatus)

# Find the required Libaries
find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   )

set(makestatus_applet_SRCS makestatusapplet.cpp)
kde4_add_plugin(plasma_applet_makestatus ${makestatus_applet_SRCS})
target_link_libraries(plasma_applet_makestatus ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS})

install(TARGETS plasma_applet_makestatus DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasma-applet-makestatus.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== dataengine/CMakeLists.txt ===
project(plasma-dataengine-makestatus)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   )

# We add our source code here
set(makestatus_engine_SRCS makestatusengine.cpp)

QT4_ADD_DBUS_ADAPTOR(makestatus_engine_SRCS org.MakeStatusEngine.xml
                     makestatusengine.h MakeStatusEngine)

# Now make sure all files get to the right place
kde4_add_plugin(plasma_engine_makestatus ${makestatus_engine_SRCS})
target_link_libraries(plasma_engine_makestatus
                      ${KDE4_KDECORE_LIBS}
                      ${KDE4_PLASMA_LIBS})

install(TARGETS plasma_engine_makestatus
        DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasma-engine-makestatus.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES org.MakeStatusEngine.xml
        DESTINATION ${KDE4_DBUS_INTERFACES_DIR})

=== makeinvoker/CMakeLists.txt ===
project(makeinvoker)

# Find the required Libaries
find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   )

set (makeinvoker_SRCS
    makeinvoker.h
    makeinvoker.cpp
    main.cpp
)

kde4_add_executable(makeinvoker ${makeinvoker_SRCS})
target_link_libraries(makeinvoker ${KDE4_KDEUI_LIBS})


install(TARGETS makeinvoker DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES makeinvoker.notifyrc DESTINATION ${DATA_INSTALL_DIR}/makeinvoker)

=== debian/changelog ===
plasma-widget-makestatus (0.0.1-0ubuntu2) maverick; urgency=low

  * Switch to source format 3.0 (quilt):
    - Bump debhelper build-depend version to 7.3.16
  * Switch from debian-qt-kde.mk to pkg-kde-tool's kde dh7 sequence:
    - Remove cdbs build-depend
    - Add a build-depend on pkg-kde-tools (>= 0.5.0)
    - Use dh short rules in debian/rules
  * Make the binary package depend on ${misc:Depends}
  * Bump Standards-Version to 3.9.1

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 12 Aug 2010 11:47:39 -0400

plasma-widget-makestatus (0.0.1-0ubuntu1) karmic; urgency=low

  * Initial Release  (LP: #374586)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 10 May 2009 11:52:42 -0400

=== debian/control ===
Source: plasma-widget-makestatus
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Thomas <echidnaman@kubuntu.org>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake,
 kdelibs5-dev
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/makestatus/

Package: plasma-widget-makestatus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Plasma widget that shows the status of CMake builds
 This plasma widget will display the progress of currently-running CMake
 builds. It will work for all software projects that use CMake as their
 build system.
